# Hexo Wiki

**Wiki-site** generator based on [Hexo][1] & [Git][2] with [PWA][3] support.

[![NPM Dependency](https://david-dm.org/TechQuery/create-hexo-wiki.svg)](https://david-dm.org/TechQuery/create-hexo-wiki)

[![NPM](https://nodei.co/npm/create-hexo-wiki.png?downloads=true&downloadRank=true&stars=true)](https://nodei.co/npm/create-hexo-wiki/)


## Basic Usage

### 1. Choose a Theme & Plugins

 - https://hexo.io/themes/
   - You should find out which pages must be created to enable some layout of chosen theme

 - https://hexo.io/plugins/ ([Some plugins][4] have been included)

### 2. Create a Git repository

https://github.com/new

### 3. Install Hexo-wiki

```Shell
npm init hexo-wiki repo_name \
    --theme name \
    --pages blog,tags \
    --plugins one,two \
    --remote https://github.com/your_id/repo_name.git
```

### 4. Setup Online services

 - [Static Pages host](https://pages.github.com/)

 - [Auto updater](https://github.com/marketplace/travis-ci) ([Environment varibles][5])

### 5. Upload whole site

```Shell
git push
```

## Advanced Arguments

    Usage: create-hexo-wiki [options] [command]

    Wiki-site generator based on Hexo & Git

    Options:
        -V, --version         output the version number
        -p, --plugins <list>  Plugins to install (comma separated)
        -t, --theme <name>    A theme to install
        -p, --pages <list>    Required pages of installed theme
        -r, --remote <URL>    Git URL of a Remote repository
        -h, --help            output usage information

    Commands:
        update                Update list of Plugins & Themes
        help [cmd]            display help for [cmd]


## Reference Documents

 - [Tutorial](https://shimo.im/docs/PcIvVWp7Ok8qnb5X)

 - [Source code](https://github.com/TechQuery/create-hexo-wiki)


 [1]: https://hexo.io/
 [2]: https://git-scm.com/
 [3]: https://developers.google.com/web/progressive-web-apps/
 [4]: https://github.com/TechQuery/create-hexo-wiki/blob/master/template/package.json#L13
 [5]: https://tech-query.me/development/hello-hexo-travis/
