#! /usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

require("@babel/polyfill");

var _core = require("./core");

var _commander = _interopRequireDefault(require("commander"));

var _command = require("./command");

const package_pattern = /^([@\-\w]+,?)+$/;

_commander.default.name(_core._meta_.name).version(_core._meta_.version).description(_core._meta_.description).option('-p, --plugins <list>', 'Plugins to install (comma separated)', package_pattern).option('-t, --theme <name>', 'A theme to install', package_pattern).option('-p, --pages <list>', 'Required pages of installed theme', package_pattern).option('-r, --remote <URL>', 'Git URL of a Remote repository', /^(git|https?):\S+/).command('update', 'Update list of Plugins & Themes').on('command:update',
/*#__PURE__*/
(0, _asyncToGenerator2.default)(function* () {
  console.time('Update');
  yield (0, _command.update)('plugin');
  yield (0, _command.update)('theme');
  console.info('---------');
  console.timeEnd('Update');
})).parse(process.argv);

(0, _asyncToGenerator2.default)(function* () {
  if (_commander.default._execs[_commander.default.rawArgs[2]]) return;
  const plugins = _commander.default.plugins,
        theme = _commander.default.theme,
        pages = _commander.default.pages,
        remote = _commander.default.remote;
  console.time('Boot Wiki');
  yield (0, _command.boot)({
    cwd: process.argv[2] || process.cwd(),
    plugins: (plugins || '').split(','),
    theme: theme || 'Wikitten',
    pages: (pages || '').split(','),
    remote
  });
  console.info('--------------------');
  console.timeEnd('Boot Wiki');
  console.info('\n[ Document ]  https://tech-query.me/create-hexo-wiki/\n');
})();
//# sourceMappingURL=index.js.map